Qyra
ReferenceUntagged

List router decisions

List recent routing decisions for the org's router.

GET/api/v1/org/aiRouter/decisions

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
confidencestringNo
selectionModestringNo
fromDatestringNo
toDatestringNo

Responses

200 — Success

{
  "results": [
    {
      "committedAt": "2024-01-01T00:00:00.000Z",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "selectionMode": {},
      "candidateAgentUuids": [
        "string"
      ],
      "reasoning": "string",
      "confidence": "high",
      "chosenAgentUuid": "string",
      "suggestedAgentUuid": "string",
      "prompt": "string",
      "userUuid": "string",
      "threadUuid": "string",
      "routerUuid": "string",
      "decisionUuid": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}